## fprobe 0.4

=== Makefile ===
PCAP_INCLUDE=-I/usr/src/libpcap-0.8.1104
PCAP_LIB=/usr/src/libpcap-0.8.1104/libpcap.a
CC=gcc
CFLAGS=-g #-DMEM_STATS #-D_REENTRANT -O6 #$(PCAP_INCLUDE) #-DDEBUG
OBJ=flow_storage.o flow_engine.o util.o flow_exporter.o list.o hash.o mem.o
LIBS=-lpthread -lpcap #$(PCAP_LIB)

DIRS=

all:	modules $(OBJ) main

main:	main.c $(OBJ)
	$(CC) $(CFLAGS) $(OBJ) -o fprobe main.c $(LIBS)


modules:
	list='$(DIRS)'; for i in $$list; do \
	  ( cd $$i && make ) \
	done
clean:
	rm -f main $(OBJ)
	list='$(DIRS)'; for i in $$list; do \
	  ( cd $$i && make clean ) \
	done

## fprobe 1.1

=== debian/changelog ===
fprobe (1.1-8build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:53:32 +1100

fprobe (1.1-8build1) noble; urgency=medium

  * No-change rebuild for libpcap t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 13:59:03 +0100

fprobe (1.1-8) unstable; urgency=medium

  * Adopt package (Closes: #858688)
  * Modernize packaging (Closes: #765206)
    - dh10, dh sequencer, source format 3.0 etc
    - Run wrap-and-sort -a
  * Drop transitional package fprobe-ng, has been there for five years
  * Add Homepage and Vcs-* URLs, history has been imported into collab-maint
  * Fix init.d-script-does-not-source-init-functions
  * Fix maintainer-script-ignores-errors

 -- Bernhard Schmidt <berni@debian.org>  Mon, 20 Nov 2017 21:30:24 +0100

fprobe (1.1-7.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "modifies conffiles (policy 10.7.3): /etc/default/fprobe":
    apply recipe from debconf-devel(7):
    - don't install /etc/defautl/fprobe
    - create it in postinst if it doesn't exist
    - read it in .config
    - remove it in .postinst/purge
    (Closes: #688200)

 -- gregor herrmann <gregoa@debian.org>  Mon, 08 Oct 2012 01:04:43 +0200

fprobe (1.1-7.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Italian (Vincenzo Campanella).  Closes: #564192
    - Finnish (Esko Arajärvi).  Closes: #564506
    - Danish (Joe Hansen).  Closes: #584485

 -- Christian Perrier <bubulle@debian.org>  Thu, 10 Jun 2010 07:36:17 +0200

fprobe (1.1-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Bump debhelper compatibility level to 7
  * Add ${misc:Depends} to dependencies to properly deal with
    dependencies triggerred by debhelper
  * Fix pending l10n issues. Debconf translations:
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #512873
    - Russian (Yuri Kozlov).  Closes: #548763
    - Simplified Chinese (Ji ZhengYu).  Closes: #562734

 -- Christian Perrier <bubulle@debian.org>  Sun, 03 Jan 2010 10:07:20 +0100

fprobe (1.1-7) unstable; urgency=low

  * Updated package description and removed reference to the
    old fprobe package. (closes: #433944)
  * Updated Standards Version. No changes.
  * Removed the S level from init.d's Default-Stop.
  * Updated Debconf translations:
        + Spanish by Rudy Godoy (closes: 423697)
        + Dutch by Bart Cornelis (closes: #451014)
        + Brazilian Portugese by Eder L. Marques (closes: 464739)

 -- Radu Spineanu <radu@debian.org>  Sat, 09 Feb 2008 12:04:01 +0200

fprobe (1.1-6) unstable; urgency=low

  * Added German debconf translation. (closes: #408856)
    Thanks to Helge Kreutzmann.
  * Added Portuguese debconf translation. (closes: #409700)
    Thanks to Traduz ML.
  * Updated Standards Version.
 
 -- Radu Spineanu <radu@debian.org>  Fri, 16 Feb 2007 12:23:29 +0200

fprobe (1.1-5) unstable; urgency=low

  * Remove remaining fprobe-ng configuration files during installation 
    (closes: #350477)
  * New maintainers address

 -- Radu Spineanu <radu@debian.org>  Sun,  5 Feb 2006 14:34:30 +0200

fprobe (1.1-4) unstable; urgency=low

  * Replace the old fprobe package with the fprobe-ng version 
    (closes: #322869) 
  * Added a fprobe-ng meta package for the fprobe-ng -> fprobe transition
  * Added a note in README.Debian about this change
  * Updated FSF address in the copyright file
  * Added Swedish debconf translation (closes: #331475)
    Thanks to  Daniel Nylander <yeager@lidkoping.net>

 -- Radu Spineanu <radu@timisoara.roedu.net>  Thu, 13 Oct 2005 19:27:42 +0300

fprobe-ng (1.1-3) unstable; urgency=low

  * Added Vietnamese debconf translation (closes: #311660)
    Thanks to Clytie Siddall <clytie@riverland.net.au>
  * Fixed debconf dependency 
  * Policy increased to 3.6.2, no changes

 -- Radu Spineanu <radu@timisoara.roedu.net>  Fri, 12 Aug 2005 16:12:32 +0300

fprobe-ng (1.1-2) unstable; urgency=high

  * Removed Anibal Monsalve Salazar from Uploaders on his request 
  * Added French debconf translation (closes: #305836)
    Thanks to Eric <eric-m@wanadoo.fr>
  * Added Czech debconf translation (closes: #308055)
    Thanks to Miroslav Kure <kurem@upcase.inf.upol.cz>

 -- Radu Spineanu <radu@timisoara.roedu.net>  Fri, 29 Apr 2005 21:49:24 +0300

fprobe-ng (1.1-1) unstable; urgency=low

  * Initial Release. (closes: #272201, #285041)

 -- Radu Spineanu <radu@timisoara.roedu.net>  Sat, 18 Sep 2004 11:10:17 +0300

=== debian/control ===
Source: fprobe
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Bernhard Schmidt <berni@debian.org>
Build-Depends: debhelper (>= 10),
               libpcap-dev
Standards-Version: 4.1.1
Homepage: http://fprobe.sourceforge.net
Vcs-Git: https://anonscm.debian.org/git/collab-maint/fprobe.git/
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/fprobe.git/

Package: fprobe
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lsb-base (>= 3.0-6),
Description: export captured traffic to remote NetFlow Collector
 This program is a libpcap-based utility which collects network
 traffic and emits it as NetFlow towards a specified collector.
 .
 Homepage: fprobe.sourceforge.net
